OPENSCAD-TESTRUN(1)

NAME
openscad-testrun - set up and run the OpenSCAD test suite

SYNOPSIS
openscad-testrun [options]

DESCRIPTION
This manual page documents briefly the openscad-testrun command.

openscad-testrun is a script that sets up a directory in which the OpenSCAD test suite (implemented in ctest) can be run by creating symlinks to the system locations of the input data, and runs it. The created directory is not removed, but will contain the test results in addition to the symlinks. It is required as the test suite in its original form expects all the test input and output data in relative locations, and the typical user has no write access to where the data resides. Future changes to the test suite might make it more flexible, removing the need for this script.

OPTIONS

-d directory, --directory directory
    Set up the tests in a directory called directory. By default, this is generated from the current date and time like openscad-test-2012-02-15_13_37.

-n, --dry-run
    Do not run the test suite, just set it up.

--virtual
    Use xvfb-run to execute the tests inside a virtual X server.

All additional arguments are passed on to ctest.

AUTHOR
The OpenSCAD test suite was written by Clifford Wolf, Marius Kintel, and others. The openscad-testrun script was written by chrysn.

This manual page was written by chrysn <chrysn@fsfe.org>, for the Debian project (and may be used by others).